
Robotics Systems Commons - Enhancement #1256
Adapt GitProjectVersion cmake macro to not increase patch number on non-release branches
11/22/2012 04:48 PM - J. Wienke

Status: Resolved Start date: 11/22/2012
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: cmake Estimated time: 0.00 hour
Target version: rsb-0.9
Description

See #1251

Related issues:
Blocks Robotics Service Bus - Bug # 1251: The current versioning scheme of RS... Resolved 11/22/2012

Associated revisions
Revision 905bef8a - 11/22/2012 04:50 PM - J. Wienke

Only increment the patch version from git describe on release branches.

On other branches 0 is used. However, other features like the latest
commit hash are still set.

fixes #1256

History
#1 - 11/22/2012 04:51 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsc|commit:905bef8a55049dadee8bcd3ce3577679db621e11.

04/25/2024 1/1


